#include "parser.h"

#include "parser.h"
#include <QMessageBox>
#include <QDebug>

//-------------
Parser* Parser::load(QIODevice* device){
    QString errorStr;
    int errorLine;
    int errorColumn;

    QDomDocument domDocument;

    if (!domDocument.setContent(device, true, &errorStr, &errorLine,
                                &errorColumn)) {
        QMessageBox::information(0, tr("DOM Menu"),
                                 tr("Parse error at line %1, column %2:\n%3")
                                 .arg(errorLine)
                                 .arg(errorColumn)
                                 .arg(errorStr));
        qDebug()<<"load xml file: error line: "<<errorLine << " error column: "<<errorColumn<<" type: "<<errorStr;
    }

    return new Parser(domDocument);
}

//--------------
Parser::Parser(const QDomDocument& doc) : QObject(0),QDomDocument(doc)
{

}

